Skip to content

Confirm message receipt

Request

Use this endpoint to confirm receipt of messages. Confirmation is required in order to receive new messages from POST /messages/latest.

Security
BearerAuth
Headers
X-Affiliate-Idintegerrequired

Include here your Affiliate identifier number

Bodyapplication/jsonrequired
messagesArray of strings
curl -i -X POST \
  https://demandapi.booking.com/3.2/messages/latest/confirm \
  -H 'Authorization: Bearer <YOUR_string_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-Affiliate-Id: 0' \
  -d '{
    "messages": [
      "8586a789-44f4-5521-9f27-f5efd097cba"
    ]
  }'

Responses

Successful response.

Bodyapplication/json
request_idstring(requestId)

Uniquely identifies the request. Please provide this identifier when contacting support.

confirmedMessagesArray of strings
Response
{ "request_id": "cdb0b154-2eae-481b-8fee-fb2725296e1f", "confirmedMessages": [ "8586a789-44f4-5521-9f27-f5efd097cba" ] }